#! /bin/sh

AILE_CONFIG_DIR=/opt/aile/config
ZIP_CONFIG_DIR=aileun_6
BASE_PATH=`pwd`
DATA_DIR=$BASE_PATH/$1
WORK_DIR=/tmp/$ZIP_CONFIG_DIR/config
COMPRESS_FILE=/tmp/aileun_6.zip

rm -f $DATA_DIR/aileun_6*

# create working directory
mkdir -p $WORK_DIR

cp $AILE_CONFIG_DIR/*.conf $WORK_DIR/

cd /tmp
zip -A -r $COMPRESS_FILE $ZIP_CONFIG_DIR/*
rm -fr $WORK_DIR
mv $COMPRESS_FILE $DATA_DIR
