#!/bin/bash
#######################################################
# Modify Monitor Settings
#######################################################

. /opt/aile/aile_common.sh

# ミラーリング
bash /opt/aile/set_monitor_mirroring.sh
# ローテート
bash /opt/aile/set_monitor_rotate.sh
# mode変更
bash /opt/aile/set_monitor_mode.sh

# 解像度
if [ ! -e  $NOTIFY_ROTATION_FILE ]; then
	if [ -e $APP_WEBFUNC_LIMITED ]; then
		if [ -e $APP_LUCK_RESOLUTION ]; then
			# メニュー表示時、スケール実施(最低縦幅または、最低横幅がない場合)
			bash /opt/aile/set_monitor_scaling_resolution.sh
		fi
	fi
else
	# スケール実施
	bash /opt/aile/set_monitor_scaling_resolution.sh
fi


touch $AUDIO_RESET_EXECUTION
touch $WINDOW_RESIZE_EXECUTION

exit 1
