#!/bin/sh

export LANG=ja_JP.UTF-8
#export VDPAU_NVIDIA_NO_OVERLAY=1
export __GL_SYNC_TO_VBLANK=1
export __GL_NO_DSO_FINALIZER=1
ulimit -c unlimited
#export DISPLAY=:0.0

AILE_DIR=/opt/aile

sleep 1
xeyes -geometry 1x1+5000+5000 &
sleep 1

$AILE_DIR/xrandr-logger.sh

### mirroring settings
$AILE_DIR/set_monitor_mirroring.sh
### rotate
$AILE_DIR/set_monitor_rotate.sh
### resoluetion
if [ -e /tmp/exec_rotate ]; then
	$AILE_DIR/set_monitor_scaling_resolution.sh
else
	$AILE_DIR/set_monitor_mode.sh
fi
sleep 1

$AILE_DIR/inactivate_service.sh systemd-networkd.service

$AILE_DIR/activate_service.sh acpid

$AILE_DIR/create_gtk_thickness_conf.sh

if [ -e $AILE_DIR/config/resolv-tail.conf ]; then
	$AILE_DIR/add_dns_options.sh $AILE_DIR/config/resolv-tail.conf
	sudo resolvconf -u
fi

$AILE_DIR/xorgBackup.sh

#top -b -d 5 > /home/aile/top_result.txt &

#export GTK2_RC_FILES=/opt/aile/ui/gtkrc
#cd /opt/aile ; ./aile &
