#!/bin/bash

AILE_ADDRESS=`cat /opt/aile/config/NetworkConfig.conf | grep IPAddress | awk -F'=' '{print $2}'`
AILE_WEBUSER=`cat /opt/aile/config/webAccessUser.conf | grep AUTH_USER_NAME | awk -F':' '{print $2}'`
AILE_WEBPASS=`cat /opt/aile/config/webAccessUser.conf | grep AUTH_PASS_WORD | awk -F':' '{print $2}'`

ExecCmd="/opt/aile-exctrl/bin/AileNginxMonitoring.pl"

while true
do
	`$ExecCmd $AILE_ADDRESS $AILE_WEBUSER $AILE_WEBPASS`
	if [ $? != 0 ]; then
		# execute restart nginx
		logger -t aile-nginx-monitoring -p user.info "nginx response 499 or 504. execute restart nginx."
		`systemctl restart nginx`
	fi

	sleep 60
done
