#!/bin/bash

FILE="/var/log/Xorg.0.log"
MAX_FILE_NUM=4

## xorg圧縮
(cd /var/log; sudo tar czvf ${FILE}_`date "+%Y%m%d%H%M%S"`.tar.gz Xorg.0.log > /dev/null)
FILE_NUM=`ls -l ${FILE}_* | wc -l`
if [ ${FILE_NUM} -ge  ${MAX_FILE_NUM} ]; then
  ## 先頭ファイルを削除
  sudo rm `ls -tr ${FILE}_* | head -1`
fi
## 元のファイルを削除
(cd /var/log; sudo rm Xorg.0.log)

