#!/bin/bash

AUDIO_OUTPORT=`/opt/aile/get_audio_output.sh`

ALSA_CONF_FILE=/usr/share/alsa/alsa.conf
ASOUND_STATE_FILE=/var/lib/alsa/asound.state
PULSE_DEFAULT_PA_FILE=/etc/pulse/default.pa
if [ "$AUDIO_OUTPORT" = "JACK" ]; then
	cp $ALSA_CONF_FILE.jack $ALSA_CONF_FILE
	cp $ASOUND_STATE_FILE.jack $ASOUND_STATE_FILE
	cp $PULSE_DEFAULT_PA_FILE.jack $PULSE_DEFAULT_PA_FILE
elif [ "$AUDIO_OUTPORT" = "HDMI" ]; then
	cp $ALSA_CONF_FILE.hdmi $ALSA_CONF_FILE
	cp $ASOUND_STATE_FILE.hdmi $ASOUND_STATE_FILE
	cp $PULSE_DEFAULT_PA_FILE.hdmi $PULSE_DEFAULT_PA_FILE
else
	cp $ALSA_CONF_FILE.dp $ALSA_CONF_FILE
	cp $ASOUND_STATE_FILE.dp $ASOUND_STATE_FILE
	cp $PULSE_DEFAULT_PA_FILE.dp $PULSE_DEFAULT_PA_FILE
fi
alsactl restore

exit 0
### EOF ###
