#!/bin/bash
#######################################################
# ディスプレイポート名を返す
#######################################################

AUDIO_PORT_FILE=/opt/aile/config/Audio.conf
if [ -e ${AUDIO_PORT_FILE} ]; then
	AUDIO_OUTPORT=`grep "outport=" /opt/aile/config/Audio.conf | head -n 1 | awk '{if(/pin-jack/) print "JACK" ; else if(/hdmi/) print "HDMI" ; else print "DP"}'`
else
	AUDIO_OUTPORT="HDMI"
fi

echo -n "$AUDIO_OUTPORT"

